import type { CliOptions } from "./types";
import { program } from "commander";
import git from "./notes/git";
import windows from "./notes/windows";
import linux from "./notes/linux";
import fs from "fs";
import path from "path";
const { version } = JSON.parse(
  fs.readFileSync(path.join(__dirname, "../package.json"), "utf-8")
);

program
  .name("knowledge")
  .description("this is a cli to log knowledge")
  .version(version);
program.option("--git");
program.option("--windows");
program.option("--linux");

program.parse();
const options: CliOptions = program.opts();

git(options);
windows(options);
linux(options);
